Skip to main content
POST
/
cpl
/
offers
/
{id}
/
favorite
Add a CPL offer to favorites.
curl --request POST \
  --url https://studio-api.onlytraffic.com/api/external/v1/cpl/offers/{id}/favorite \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://studio-api.onlytraffic.com/api/external/v1/cpl/offers/{id}/favorite"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://studio-api.onlytraffic.com/api/external/v1/cpl/offers/{id}/favorite', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "offer_id": 123,
    "is_favorite": true
  }
}
{
  "success": false,
  "error": "validation_failed",
  "message": "<string>",
  "details": {},
  "retry_after": 123
}
{
  "success": false,
  "error": "validation_failed",
  "message": "<string>",
  "details": {},
  "retry_after": 123
}
{
  "success": false,
  "error": "validation_failed",
  "message": "<string>",
  "details": {},
  "retry_after": 123
}

Authorizations

X-API-Key
string
header
required

Your API key from the Studio Dashboard

Path Parameters

id
integer
required

Numeric resource id.

Required range: x >= 1

Response

Favorited.

success
boolean
data
object